> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hill90.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change password

> Password change endpoint. Currently returns 501 because Keycloak 12+ removed the /account/credentials/password REST endpoint. A browser-based flow via kc_action=UPDATE_PASSWORD will be implemented in a future PR.




## OpenAPI

````yaml /openapi.yaml post /profile/password
openapi: 3.0.3
info:
  title: Hill90 API
  description: Hill90 platform API — agent management and lifecycle operations.
  version: 0.1.0
servers:
  - url: /
    description: Relative (behind Traefik reverse proxy)
security: []
paths:
  /profile/password:
    post:
      summary: Change password
      description: >
        Password change endpoint. Currently returns 501 because Keycloak 12+
        removed the /account/credentials/password REST endpoint. A browser-based
        flow via kc_action=UPDATE_PASSWORD will be implemented in a future PR.
      responses:
        '401':
          description: Not authenticated
        '403':
          description: Requires user role
        '501':
          description: Not yet implemented
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Password change not yet available
                  code:
                    type: string
                    example: NOT_IMPLEMENTED
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````